000023041 - Adaptive Authentication 2.1 and earlier versions applications fail to start when using BEA WebLogic 9.0 and later versions

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000023041
Applies ToBEA WebLogic 9
Adaptive Authentication 2.1 and earlier versions
IssueAdaptive Authentication 2.1 and earlier versions applications fail to start when using BEA WebLogic 9.0 and later versions
CauseOlder versions of the application (which application? what name should we use?) reference deprecated JMX MBeans
ResolutionRemove the beans configurations that use the deprecated functions. This is done via removing the following from the from config-management.xml file:

<!--
  Configuration of JMX MBeans.
 -->
 <bean id="exporter"
  class="org.springframework.jmx.export.MBeanExporter">
  <property name="beans">
   <map>
    <entry key="PassMarkMbean:name=MaxMind1">
     <ref bean="geoIpMaxMind" />
    </entry>

    <!--  
     <entry key="PassMarkMbean:name=Quova">
     <ref bean="geoIpQuova"/>
     </entry>
    -->
    <entry key="PassMarkMbean:name=LogManagerSpring1">
     <ref bean="LogControl" />
    </entry>
   </map>
  </property>
  <property name="assembler">
   <ref bean="infoAssembler" />
  </property>
 </bean>

 <bean id="infoAssembler"
  class="org.springframework.jmx.export.assembler.InterfaceBasedMBeanInfoAssembler">
  <property name="interfaceMappings">
   <props>
    <prop key="geoIpMaxMind">
     com.passmarksecurity.forensic.geoip.GeoIpProviderImplMBean
    </prop>
    <!--
     <prop key="geoIpQuova">com.passmarksecurity.forensic.geoip.GeoIpProviderImplMBean</prop>
    -->
    <prop key="LogControl">
     com.passmarksecurity.utils.PMLogControlMBean
    </prop>
   </props>
  </property>
 </bean>

 <bean id="LogControl"
  class="com.passmarksecurity.utils.PMLogControl">
 </bean>
</beans>
Legacy Article IDa31614

Attachments

    Outcomes